Developers
API ReferenceCost Category

Creates a CostCategory resource.

POST
/finance/cost-categories

Creates a CostCategory resource.

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Request Body

The new CostCategory resource

  1. body
name*string
Lengthlength <= 100

Response Body

CostCategory resource created

  1. response
id?string
Formatuuid
name?string
Lengthlength <= 100
createdAt?string
Formatdate-time
updatedAt?string
Formatdate-time
createdBy?|null
Example Request
curl -X POST 'https://app.icproject.com/api/instance/demo/finance/cost-categories' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "createdBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "phoneNumber": "string",    "pictureSm": "string",    "pictureLg": "string",    "canLogIn": false,    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "jobPositionName": "string"  }}